Assign or unassign a ticket
PUT
/products/{productId}/tickets/{id}/assignee
const url = 'https://api.motenya.app/v1/products/example/tickets/example/assignee';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"assigneeUserId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.motenya.app/v1/products/example/tickets/example/assignee \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "assigneeUserId": "example" }'Requires tickets:write.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”productId
required
string
id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
assigneeUserId
required
A teammate with ticket write access; null to unassign.
string | null
Example generated
{ "assigneeUserId": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
id
required
string
productId
required
string
number
required
integer
subject
required
string | null
status
required
string
priority
required
string
source
required
string
channelId
required
string | null
requester
required
object
id
required
string
email
required
string
name
required
string | null
contactId
required
The CRM contact; null for a lead.
string | null
storeIds
required
Array<string>
assigneeUserId
required
string | null
tags
required
Array<string>
mergedIntoTicketId
required
string | null
createdAt
required
string
updatedAt
required
string
lastActivityAt
required
string
key
additional properties
Example
{ "status": "OPEN", "priority": "LOW", "source": "EMAIL"}Invalid request
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Missing, invalid, revoked or expired API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Missing scope, API turned off, published article without publish scope, or account suspended
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Not found, or outside the knowledge bases this key may use
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Slug or translation already exists
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Rejected by validation (e.g. unknown language or category)
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Rate limited; see Retry-After
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string
Example
{ "error": { "code": "SLUG_TAKEN" }}Internal error